Loading...
Searching...
No Matches
gx_system::SettingsFileHeader Class Reference

`#include <gx_json.h>`

## Public Types

enum | { major = 1 , minor = 2 }

## Public Member Functions

| SettingsFileHeader ()
void | read (JsonParser &)
void | set_to_current ()
int | get_major () const
int | get_minor () const
string | get_revision () const
bool | is_major_diff () const
bool | is_minor_diff () const
bool | is_current () const
bool | is_equal () const
string | display () const
Glib::ustring | version_string () const
Glib::ustring | current_version_string () const
void | write_major_minor (JsonWriter &jw)
void | read_major_minor (JsonParser &jp)

## Static Public Member Functions

static void | write (JsonWriter &)
static bool | make_empty_settingsfile (const string &name)
static void | write_current_major_minor (JsonWriter &jw)

## Static Public Attributes

static const string | gx_version

## Private Attributes

int | file_major
int | file_minor
string | file_gx_version

## Detailed Description

Definition at line 224 of file gx_json.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
major |
minor |

Definition at line 229 of file gx_json.h.

## Constructor & Destructor Documentation

## SettingsFileHeader()

gx_system::SettingsFileHeader::SettingsFileHeader | ( |  | ) |

inline

Definition at line 234 of file gx_json.h.

## Member Function Documentation

## current_version_string()

Glib::ustring gx_system::SettingsFileHeader::current_version_string | ( |  | ) | const

inline

Definition at line 248 of file gx_json.h.

## display()

string gx_system::SettingsFileHeader::display | ( |  | ) | const

inline

Definition at line 246 of file gx_json.h.

## get_major()

int gx_system::SettingsFileHeader::get_major | ( |  | ) | const

inline

Definition at line 239 of file gx_json.h.

## get_minor()

int gx_system::SettingsFileHeader::get_minor | ( |  | ) | const

inline

Definition at line 240 of file gx_json.h.

## get_revision()

string gx_system::SettingsFileHeader::get_revision | ( |  | ) | const

inline

Definition at line 241 of file gx_json.h.

## is_current()

bool gx_system::SettingsFileHeader::is_current | ( |  | ) | const

inline

Definition at line 244 of file gx_json.h.

Referenced by is_equal().

## is_equal()

bool gx_system::SettingsFileHeader::is_equal | ( |  | ) | const

inline

Definition at line 245 of file gx_json.h.

## is_major_diff()

bool gx_system::SettingsFileHeader::is_major_diff | ( |  | ) | const

inline

Definition at line 242 of file gx_json.h.

Referenced by is_current().

## is_minor_diff()

bool gx_system::SettingsFileHeader::is_minor_diff | ( |  | ) | const

inline

Definition at line 243 of file gx_json.h.

Referenced by is_current().

## make_empty_settingsfile()

bool gx_system::SettingsFileHeader::make_empty_settingsfile | ( | const string & | name | ) |

static

## read()

void gx_system::SettingsFileHeader::read | ( | JsonParser & |  | ) |

## read_major_minor()

void gx_system::SettingsFileHeader::read_major_minor | ( | JsonParser & | jp | ) |

## set_to_current()

void gx_system::SettingsFileHeader::set_to_current | ( |  | ) |

inline

Definition at line 238 of file gx_json.h.

## version_string()

Glib::ustring gx_system::SettingsFileHeader::version_string | ( |  | ) | const

inline

Definition at line 247 of file gx_json.h.

## write()

void gx_system::SettingsFileHeader::write | ( | JsonWriter & |  | ) |

static

## write_current_major_minor()

void gx_system::SettingsFileHeader::write_current_major_minor | ( | JsonWriter & | jw | ) |

static

## write_major_minor()

void gx_system::SettingsFileHeader::write_major_minor | ( | JsonWriter & | jw | ) |

## Member Data Documentation

## file_gx_version

string gx_system::SettingsFileHeader::file_gx_version

private

Definition at line 227 of file gx_json.h.

Referenced by display(), get_revision(), is_equal(), set_to_current(), and SettingsFileHeader().

## file_major

int gx_system::SettingsFileHeader::file_major

private

Definition at line 225 of file gx_json.h.

Referenced by display(), get_major(), is_major_diff(), set_to_current(), SettingsFileHeader(), and version_string().

## file_minor

int gx_system::SettingsFileHeader::file_minor

private

Definition at line 226 of file gx_json.h.

Referenced by display(), get_minor(), is_minor_diff(), set_to_current(), SettingsFileHeader(), and version_string().

## gx_version

const string gx_system::SettingsFileHeader::gx_version

static

Definition at line 233 of file gx_json.h.

Referenced by is_equal(), and set_to_current().

The documentation for this class was generated from the following file:

- src/headers/gx_json.h